Bug 725133

Summary: Can't compile example for LibreOffice
Product: [Fedora] Fedora Reporter: Ivan Romanov <drizt>
Component: libreofficeAssignee: Caolan McNamara <caolanm>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: caolanm, dtardon, ltinkl
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libreoffice-3.3.3.1-5.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-06 20:11:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Patch to fix this problem none

Description Ivan Romanov 2011-07-22 22:38:33 EDT
Created attachment 514806 [details]
Patch to fix this problem

Description of problem:
When I trying to compile example for LibreOffice with make I get error.

Version-Release number of selected component (if applicable):
libreoffice-sdk-3.3.3.1-2.fc15.x86_64


How reproducible:


Steps to Reproduce:
$ cd /usr/lib64/libreoffice/basis3.3/sdk/examples/cpp/counter/
$ make
  
Actual results:
../../../settings/stdtarget.mk:13: *** missing separator.  Stop.

Expected results:
I expect that i get compilation error but not that.

Additional info:
Really stdtarget.mk uses spaces instead of tabs. It is wrong. I made patch to fix it. See at attachments.
Comment 1 Caolan McNamara 2011-07-25 06:18:41 EDT
tor fixed this one already, just didn't backport it to our packages seeing as the extensions in fedora built fine without it. I'll add it back now
Comment 2 Caolan McNamara 2011-07-25 06:20:47 EDT
will be in >= 3.3.3.1-4 if we do another update for F-15
Comment 3 Fedora Update System 2011-08-24 05:10:51 EDT
libreoffice-3.3.3.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libreoffice-3.3.3.1-5.fc15
Comment 4 Fedora Update System 2011-08-26 14:51:28 EDT
Package libreoffice-3.3.3.1-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.3.3.1-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libreoffice-3.3.3.1-5.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-09-06 20:11:33 EDT
libreoffice-3.3.3.1-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.